Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	basic data manipulation library for Enlightenment.
Name: 		eet
Epoch:		1
Version: 	1.2.2
Release: 	1
License:	BSD
URL: 		http://www.enlightenment.org
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical Desktop/Enlightenment17
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	zlib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	glibc-devel

#Automatically resolved build dependencies
BuildRequires: eina-devel
BuildRequires: glibc-devel
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libjpeg-devel
BuildRequires: libtasn1-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description 
EET is a tiny library designed to write an arbitary set of chunks of data to a file
and optionally compress each chunk (very much like a zip file) and allow fast
random-access reading of the file later on.
It does not do zip as a zip itself has more complexity than is needed,
and it was much simpler to impliment this once here.

%package devel
Summary:        Development files for eet
Group:          %{group}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:	libjpeg-devel, zlib-devel

%description devel
Header files for developing applications using eet.

%prep
%setup -q -n %{name}-%{version}

%build
%configure -prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/eet
%_libdir/libeet*.so.*

%files devel
%defattr(-,root,root)
%_includedir/Eet.h
%_libdir/libeet*.a
%_libdir/libeet*.la
%_libdir/libeet*.so
%_pkgconfig/*

%changelog
* Wed Aug 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.2.2-1
- Version update
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Version Update
* Sat Mar 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10.037-2
- recompiled
* Sun Dec 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10.037-1
- version update
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10.035-1
- version update
* Fri Aug 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10.032-1
- version update
* Fri Jun 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10.027-1
- version update
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10.022-1
- Initial Release
